summaryrefslogtreecommitdiff
path: root/script/update/trees
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-12-11 05:21:27 +0000
committerLeah Rowe <leah@libreboot.org>2023-12-11 05:21:27 +0000
commit2e779a54951406247197cf21a31c54a36ec1fa06 (patch)
tree381d1b71893bcbeae5f7029379174cbe31c97a1a /script/update/trees
parent9558e2fce790b044c33c54dfc58780a66e98b770 (diff)
handle errors on exits from subshells
most of these are probably redundant, and will never be called, but lbmk needs to be as safe as possible under fault conditions. fail early, fail hard. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update/trees')
-rwxr-xr-xscript/update/trees2
1 files changed, 1 insertions, 1 deletions
diff --git a/script/update/trees b/script/update/trees
index bd0fcb61..1719aab9 100755
--- a/script/update/trees
+++ b/script/update/trees
@@ -61,7 +61,7 @@ build_projects()
x_ cd src/uefitool
cmake UEFIExtract/ || [ -f Makefile ] || \
err "build_projects: !cmake UEFIExtract/"
- )
+ ) || err "can't build cmake on uefiextract"
fi
[ "${mode}" = "distclean" ] && mode="clean"